    The XSPEC zsmdust model: extinction by dust grains in starburst galaxies.

xszsmdust
The xszsmdust model is a multiplicative model component.

The model is described at [1] .

The ebv parameter has been renamed e_bmv to match the XSPEC definition. The name ebv can still be used to access the parameter, but this name will be removed in a future release.

>>> create_model_component("xszsmdust", "mdl")
>>> print(mdl)

Create a component of the xszsmdust model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.E_BmV thawed 0.1 0 100 mdl.ExtIndex thawed 1 -10 10 mdl.Rv frozen 3.1 0 10 mdl.redshift frozen 0 0 20 z

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
E_BmV
The value of E(B-V) for the line of sight to the source.
ExtIndex
The spectral index of the extinction curve.
Rv
The ratio of total to selective extinction.
redshift
The redshift of the absorber.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelZsmdust.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023